﻿/**
* The CycloneOval class controls the shape and sidewinding of the cyclone.
* 
* @author Robert Penner (AS 1.0)
* © 2002 Robert Penner
* http://www.robertpenner.com
* 
* @author Mark Walters (AS 2.0)
* © 2006 DigitalFlipbook
* http://www.digitalflipbook.com
* 
* @version	1.0
* 
* @since	ActionScript 2.0; Flash Player 6
*/
class com.robertpenner.profmx.cyclone.CycloneOval extends MovieClip {
	
	/*
	* ON STAGE
	*/
	
	/**
	* The path property of the CycloneOval.
	* 
	* @usage
	* <pre><code>
	* trace (cycloneOval.path);
	* </code></pre>
	*/
	public var path:MovieClip;
	
	/*
	* CLASS PROPERTIES
	*/
	private var neighborName:String;
	
	
	/*
	* *********************************************************
	* CONSTRUCTOR
	* *********************************************************
	*
	*/
	
	function CycloneOval () {
	}
	
	
	/*
	* *********************************************************
	* PRIVATE METHODS
	* *********************************************************
	* 
	*/
	
	private function init ():Void {
		this._yscale = 33;
		var index:Number = Number(this._name.slice(1));
		this.neighborName = "p" + (index-1);
	}

	private function sidewind ():Void {
		var distance:Number = _parent[this.neighborName]._x - this._x;
		this._x += distance * _parent.stiffness;
	}
	
}
